### Property

# WebKit2 NavigationPolicyDecision:mouse-button

deprecated: 2.6

#### Declaration

    property mouse-button: guint [ read ]

#### Description [src]

If the navigation associated with this policy decision was originally triggered by a mouse event, this property contains non-zero button number of the button triggering that event. The button numbers match those from GDK. If the navigation was not triggered by a mouse event, the value of this property will be 0.

Type: | `guint`
Deprecated since: | 2.6
Use `WebKitNavigationPolicyDecision:navigation-action` instead.

Getter method | `webkit_navigation_policy_decision_get_mouse_button()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no